Bug 173192 - X from modular X packages can't switch VTs
Summary: X from modular X packages can't switch VTs
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-14 21:07 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 08:08:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Strode [halfline] 2005-11-14 21:07:12 UTC
Hi,

The xkbdata package doesn't get installed by default with modular X currently. 
This prevents ctrl-alt-fN from working to switch VTs.

The X server probably needs a Requires line for it.

Comment 1 Mike A. Harris 2005-11-15 08:08:33 UTC
Fixed in latest modular Xorg build.  Note however, that even with xkbdata
installed, xkb only works if the X server is started from a system with
a read-write mounted /var.  That will probably change in the future though
with popen() or somesuch.


Note You need to log in before you can comment on or make changes to this bug.